summaryrefslogtreecommitdiff
path: root/src/password-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/password-store.sh')
-rwxr-xr-xsrc/password-store.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/src/password-store.sh b/src/password-store.sh
index 77f3eda..2b2d208 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -100,6 +100,8 @@ set_gpg_recipients() {
local gpg_id
while read -r gpg_id; do
+ gpg_id="${gpg_id%%#*}" # strip comment
+ [[ -n $gpg_id ]] || continue
GPG_RECIPIENT_ARGS+=( "-r" "$gpg_id" )
GPG_RECIPIENTS+=( "$gpg_id" )
done < "$current"